#include <gtest/gtest.h>

TEST(FloatingPoint, shouldTestToAcceptablePrecision)
{
	double d1 = 1.0 / 999999999.99999999999;
	double d2 = 1.0 / 999999999.999999;

	EXPECT_EQ(d1, d2);

	EXPECT_DOUBLE_EQ(d1, d2);

	EXPECT_NEAR(d1, d2, 0.000001);
}