#include <gtest/gtest.h>

// ************ TEST INFO *************

void infoMethod()
{
	const ::testing::TestInfo* const test_info = ::testing::UnitTest::GetInstance()->current_test_info();
	std::cout << "In test " << test_info->name() << " of test case " << test_info->test_case_name() << std::endl;
}

TEST(TestInfo, testInfo_1)
{
	infoMethod();
}

TEST(TestInfo, testInfo_2)
{
	infoMethod();
}

// ********* DISABLED TEST ***********

TEST(TestInfo, DISABLED_testInfo_3)
{
	infoMethod();
}

/*
	Run with --gtest_also_run_disabled_tests 
	or environment variable GTEST_ALSO_RUN_DISABLED_TESTS
*/
