#include <gtest/gtest.h>

// ******** BASIC PASS BasicS ***********

TEST(BasicPass, additionOperatorShouldBehaveCorrectly)
{
	ASSERT_EQ(2, 1+1);
}

TEST(BasicPass, subtractionOperatorShouldBehaveCorrectly)
{
	EXPECT_GT(2, 2-1);
}

// ******** BASIC FAILURE BasicS ***********

TEST(BasicFailure, failureOutputsFailureReason_1)
{
	ASSERT_NE(true, true);
}

TEST(BasicFailure, failureReasonCanBeExtended_2)
{
	ASSERT_EQ(true, false) << "Unexpected boolean value";
}

TEST(BasicFailure, fatalFailureShouldAbortTestImmediately_3)
{
	ASSERT_EQ(true, false);
	ASSERT_EQ(true, false) << "Will never output this text";
}

TEST(BasicFailure, nonFatalFailureAllowsTestToContinue_4)
{
	EXPECT_EQ(true, false);
	EXPECT_EQ(true, false) << "Will always output this text";
	EXPECT_EQ(true, true);
}



