#include <gtest/gtest.h>

// ************ FIXTURES / TEST CASES

class SimpleFixture : public ::testing::Test
{
protected:
	SimpleFixture()
	{
		std::cout << "SimpleFixture constructor" << std::endl;
	}

	~SimpleFixture()
	{
		std::cout << "SimpleFixture destructor" << std::endl;
	}

	virtual void SetUp()
	{
		std::cout << "SimpleFixture SetUp" << std::endl;
	}

	virtual void TearDown()
	{
		std::cout << "SimpleFixture TearDown" << std::endl;
	}

	static void SetUpTestCase()
	{
		std::cout << "SimpleFixture SetUpTestCase" << std::endl;
	}

	static void TearDownTestCase()
	{
		std::cout << "SimpleFixture TearDownTestCase" << std::endl;
	}
};

TEST_F(SimpleFixture, example_1)
{
}

TEST_F(SimpleFixture, example_2)
{
}

