class Announcer;

#include <string>
#include <map>

class FlightInformation
{
public:
    FlightInformation();

    int subscribe(Announcer& subscriber);
    void unsubscribe(int id);

    void announce(const std::string& update);

private:
    typedef std::map<int, Announcer*> SubscriptionCollection;
    SubscriptionCollection subscribers;

    int id;
};