#include <gtest/gtest.h>
#include "globalSetup.h"

class MyEnvironment : public ::testing::Environment
{
public:
	virtual void SetUp()
	{
		std::cout << "Global SetUp" << std::endl;
	}

	virtual void TearDown()
	{
		std::cout << "Global TearDown" << std::endl;
	}
};

void globalSetup()
{
	::testing::AddGlobalTestEnvironment(new MyEnvironment);
}